<template>
  <view class="U000008-template1" >
    <!-- style -->
    <view :style="wrapper_style"></view>

  </view>
</template>

<script>
	export default {
		props: ['datas', 'styles'],
    data() {
			return{
      }
    },
		computed: {
			/** 样式 */
			wrapper_style() {
				if(this.datas.preview_color) {
					const {
						preview_color,
						search_height
					} = this.datas;

					return `
                height: ${search_height}px;
                background-color: ${preview_color.color};
                background-image: url(${preview_color.isColor == 2 ? preview_color.image : ''});
                background-size: 100% auto;
                bakcground-position: center;
            `;
				}
			},
		},
		methods: {
		},

	};
</script>

<style lang="less" scoped>
  // 默认
  .component-wrapper {
   width: 750rpx;
  }
</style>
